パスワードを忘れた? アカウント作成
この議論は賞味期限が切れたので、アーカイブ化されています。 新たにコメントを付けることはできません。

「Ubuntu 18.04 LTS」リリース」記事へのコメント

  • WSLに18.04が降ってきたらどこで変更すればいいんですか?

    • すでにハマった俺からアドバイスだ。やめておけ。

      • by Anonymous Coward

        それはアップグレードがハマったのか、システム設定がハマったのか、どっち?

        • アップグレードだよ。

          apt-line書き換えてfull-upgradeしたらebtablesパッケージ(そもそも使えねーってのに)が削除もアップグレードもできない状態にハマった。

          • by Anonymous Coward

            dist-upgradeでもハマったの?

            だとしたら依存関係ぐちゃぐちゃって事では

            それはそれで問題のような

            • いや、依存関係は壊れてないんだけど旧バージョンのebtables(Xenialのやつ)からアップデートしようとするとスクリプトでエラーが出てアップデートに失敗する上、削除もできんのですわ。

              tuneo@localhost:~$ sudo apt-get dist-upgrade
              [sudo] tuneo のパスワード:
              パッケージリストを読み込んでいます... 完了
              依存関係ツリーを作成しています
              状態情報を読み取っています... 完了
              アップグレードパッケージを検出しています... 完了
              以下のパッケージはアップグレードされます:
                ebtables
              アップグレード: 1 個、新規インストール: 0 個、削除: 0 個、保留: 0 個。
              80.0

              • by Anonymous Coward on 2018年05月03日 10時56分 (#3402244)

                パッケージリストを取った上で、
                /var/lib/dpkg/info
                の下だっけか、削除時にエラー起こしているスクリプトの該当行をコメントアウトして再度試してみたら?
                本質的にNGならその先でまた止まるよ。
                Debian/Ubuntuのアップデートトラブルで矛盾を抱えていたら、俺はいつもそうやって解決している。
                パッケージリストから元に戻せるし。

                親コメント

犯人は巨人ファンでA型で眼鏡をかけている -- あるハッカー

処理中...